:mod:`art.defences.detector.poison`
===================================
.. automodule:: art.defences.detector.poison

Base Class
----------
.. autoclass:: PoisonFilteringDefence
   :members:

Activation Defence
------------------
.. autoclass:: ActivationDefence
   :members:

Data Provenance Defense
-----------------------
.. autoclass:: ProvenanceDefense
   :members:

Reject on Negative Impact (RONI) Defense
----------------------------------------
.. autoclass:: RONIDefense
   :members:

Spectral Signature Defense
--------------------------
.. autoclass:: SpectralSignatureDefense
   :members:
